Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
New Ubuntu 22.04
#1
Hi, I  have a new Ubuntu 22.04 install.


I have both Flathub version and AppImage version. Which one should I use for 2.10?

I added layerfx.py to both, but I cannot see it in GIMP. I added the .scm version of layer effects, also added the 3 .so files from LinuxBeaver . Only the .scm version is detected.

Would be nice if you can help me set up a fully functional GIMP. Thanks.

I got the latest Python2 install, but still no luck.

v 2.7.18
Reply
#2
(01-30-2023, 06:05 AM)meetdilip Wrote: Hi, I  have a new Ubuntu 22.04 install.

I have both Flathub version and AppImage version. Which one should I use for 2.10?

I added layerfx.py to both, but I cannot see it in GIMP. I added the .scm version of layer effects, also added the 3 .so files from LinuxBeaver . Only the .scm version is detected.

Would be nice if you can help me set up a fully functional GIMP. Thanks.

You know this answer from me already Wink You want a Gimp 2.10 where python and those GEGL plugins work then use a Gimp from the ubuntu PPA https://launchpad.net/~ubuntuhandbook1/+...buntu/gimp

In common with the linux python3 political correctness, there is no python support in that, so use the Gimp appimage launcher for jammy (22.04) from https://github.com/TasMania17/Gimp-Appim...-for-Linux

That is what I use, plugins go in the user plugins folder, scripts in the scripts folder and the GEGL in ~/.local/share/gegl-0.4/plug-ins/  If the GEGL plug-ins folder is not there, make one.

------------
The old (ancient) LayerFX plugin/script(s)  There are various versions, not all work and from memory some of the options flakey as well. As its name implies it works on layers, The attached versions work (a bit) here, Gimp 2.10.32 and also the old Gimp 2.10.22/25 appimage. https://i.imgur.com/DWV2IRT.jpg

As far as I can tell, the GEGL plugins do not work with the Gimp appimage.

Edit: Not quite true. If you unpack the appimage using the --appimage-extract switch. then put the GEGL files in the appimage folder /squashfs-root/usr/lib64/gegl-0.4/
Start Gimp using the Apprun file and you get those GEGL filters showing. There it is in an unpacked Gimp 2.10.22 appimage https://i.imgur.com/OmFPBga.jpg

-----------
The Gimp flatpak. I do not use this, being sandboxed, some things I required do not work - scanner - guttenprint...but..
The LayerFX python plugin should work from the user profile and for GEGL in ~/.var/app/org.gimp.GIMP/data/gegl-0.4/plug-ins

Note: For the Flatpak Gimp. I have seen in the past that when there is an existing Gimp, the flatpak user profile  ~/.var/app/org.gimp.GIMP/config/GIMP/2.10/plug-ins is not created. Best way for this is rename any existing Gimp profiles to disable them. Delete the whole ~/.var folder. Start the flatpak gimp to create a new ~/.var set of folders for plug-ins / scripts.
GEGL plugins go in ~/.var/app/org.gimp.GIMP/data/gegl-0.4/plug-ins (I am told)

The ubuntu snap version - do not even think about it.

-------------
attached layerFX.zip Unzip it for layerFX-210.py and layerfx.scm


Attached Files
.zip   layerfx.zip (Size: 39.1 KB / Downloads: 99)
Reply
#3
Thanks. I got confused by the various versions of GIMP and which one to choose.

Thanks for the files Smile
Reply
#4
.so files are working in Flatpak. I can use the GEGL function.

Even though plug-ins folder is present in .var path and layerfx.py added to it, I cannot see any layer effect option under Filters >Python-Fu
Reply
#5
(01-30-2023, 08:05 PM)meetdilip Wrote: .so files are working in Flatpak. I can use the GEGL function.

Even though plug-ins folder is present in .var path and layerfx.py added to it, I cannot see any layer effect option under Filters >Python-Fu

LayerFX-210.py registers bottom of the layers menu.
Reply
#6
Thanks, found it Smile
Reply


Forum Jump: